> ## Documentation Index
> Fetch the complete documentation index at: https://docs.vinmake.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Bank Account

> Update a bank account.



## OpenAPI

````yaml /api/openapi-cutmake.json patch /bank-accounts/{bank_account_id}
openapi: 3.1.0
info:
  title: VM App API
  version: 0.1.0
servers:
  - url: https://vinmake-erp.onrender.com
security: []
paths:
  /bank-accounts/{bank_account_id}:
    patch:
      tags:
        - Bank Accounts
      summary: Update Bank Account
      description: Update a bank account.
      operationId: update_bank_account_bank_accounts__bank_account_id__patch
      parameters:
        - name: bank_account_id
          in: path
          required: true
          schema:
            type: string
            title: Bank Account Id
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/BankAccountUpdate'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/BankAccountResponse'
        '404':
          description: Not found
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    BankAccountUpdate:
      properties:
        accountName:
          anyOf:
            - type: string
            - type: 'null'
          title: Accountname
        accountNumber:
          anyOf:
            - type: string
            - type: 'null'
          title: Accountnumber
        bankName:
          anyOf:
            - type: string
            - type: 'null'
          title: Bankname
        bankCode:
          anyOf:
            - type: string
            - type: 'null'
          title: Bankcode
        branchName:
          anyOf:
            - type: string
            - type: 'null'
          title: Branchname
        currency:
          anyOf:
            - type: string
            - type: 'null'
          title: Currency
        status:
          anyOf:
            - type: string
            - type: 'null'
          title: Status
        balance:
          anyOf:
            - type: number
            - type: 'null'
          title: Balance
        notes:
          anyOf:
            - type: string
            - type: 'null'
          title: Notes
      type: object
      title: BankAccountUpdate
    BankAccountResponse:
      properties:
        id:
          type: string
          title: Id
        orgId:
          type: string
          title: Orgid
        accountName:
          type: string
          title: Accountname
        accountNumber:
          type: string
          title: Accountnumber
        bankName:
          type: string
          title: Bankname
        bankCode:
          anyOf:
            - type: string
            - type: 'null'
          title: Bankcode
        branchName:
          anyOf:
            - type: string
            - type: 'null'
          title: Branchname
        currency:
          type: string
          title: Currency
        status:
          type: string
          title: Status
        balance:
          type: number
          title: Balance
        notes:
          anyOf:
            - type: string
            - type: 'null'
          title: Notes
        createdAt:
          anyOf:
            - type: string
            - type: 'null'
          title: Createdat
        updatedAt:
          anyOf:
            - type: string
            - type: 'null'
          title: Updatedat
      type: object
      required:
        - id
        - orgId
        - accountName
        - accountNumber
        - bankName
        - currency
        - status
        - balance
      title: BankAccountResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````